MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000004SoldatOtherpublic2011-09-13 17:302014-01-22 12:46
Reporterxeno 
Assigned ToShoozza 
PrioritynormalSeveritytextReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.0 
Target VersionFixed in Version1.6.2 
Summary0000004: Missing translations and small labels
DescriptionThis is in a large proportion a 'copy-paste' from my posts on the forums (thus the varying formatting throughout the description), nearly all if not all should still be valid though.

Untranslated strings:

"Try reconnecting to download map" (on map-change to a map which is not there in the client's computer)

"End of game" (at the end of maplist when looping is not enabled)

"Jets color" (tooltip for Jet flame color selection under the Player tab)

"Registering server @" (when registering the server to lobby)

"Playing..." (when switching/starting music tracks in-game with F6/F7)

"Adds extra features regarding Voice Chat if you have TeamSpeak2 running in the background" (tooltip for TeamSpeak checkbox under Settings tab)

"Auto record" (Configuration, Performance tab)

"Connecting to " (when querying servers; lobby's ip follows)

"Msg sent... Waiting for reply" (when querying servers)

"Parsing server " (when querying servers)

"Map Background color" (tooltip for custom map background color selection under Player tab)

"FPS Limit" (Configuration, Graphics tab)

"High resolution timer" (Configuration, Graphics tab)

"Vertical Sync" (Configuration, Graphics tab)
All the game types under filter settings under Join game (could use the already translated game type translations)

Colors in the output of lines 729 & 730 of the translation file ("%s dropped the %s Flag" and "%s Flag dropped!", may require different lines for each case to make work properly)

"Custom:" in Soldat Config, 'Graphics' tab

"No Sound" in Soldat Config, 'Sound' Tab, Driver choice list

"FAQ" in Soldat Config, 'More' tab, the green button (only the "FAQ" part is untranslated, the "Troubleshooting" part is loaded from the same translation entry as the group-box's title)

"Soldat Config version %s" where %s'd be the version number; in Soldat Config's footer

"default" in Soldat Config, 'Graphics' tab, video device selection-box

"Developed by" in Soldat, 'Exit' tab( and initial screen)

"Enable background color Override" in Soldat, 'Player' tab, tooltip for the background color forcing check-box/label
Everything in the mod starter

"Warning" title of the message-box that appears when trying to select a feature for registered users if not registered
The "nag-screen"'s title

"Connecting to defaultlobby.soldat.pl..." in Soldat, 'Join game' tab, appears when querying for Internet servers (most likely actually seen when not connected to the internet on certain cases)

Title bar ("Information") of the message-box that says the line 221 ("Lobby server is not responding. If it isn't your connections fault please try later."; also note, there should be an apostrophe in "connections")

"This demo is not compatible with Soldat <version>", followed on a new line by "Can't play demo." (on the "Join game" tab when trying to play a demo that's outdated)

In client's dedicated mode -

"Shutdown" and "Minimize" buttons;
context-menu entries (when right-clicking on a player) ("Kick","Ban","Admin");

"Score" and "ms" (for millisecond, the translation entry for which is there actually (line 248)) - in the players list, following the player's name in parentheses;

"Team scores" (under the list of players);

"Team <#>" entries below the "Team scores" label;

"Map" (left of the console, followed by a map name);

"Average ping" (below the "Map" label).


Short/not dynamic labels -

The one preceding the spectator checkbox under Join game tab ("Spectator")

"0% = no resize; 100% = fullscreen" (line 673 in translation) - label is short (and if expands to new line is covered by the fps limit's label)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001223)
Shoozza (administrator)
2011-10-12 19:49

Please Create a new Bugreport for missing translations in config.exe

Stuff the I couldn't fix:
The "Warning" title of the message-box that appears when trying to select a feature for registered users if not registered
The "nag-screen"'s title can't be changed that easily as it seems like it's a part of the gui library soldat uses.

I couldn't find the "Try reconnecting to download map" (on map-change to a map which is not there in the client's computer).

I hope i didn't forget anything else.

- Issue History
Date Modified Username Field Change
2011-09-13 17:30 xeno New Issue
2011-10-12 07:57 Shoozza Assigned To => Shoozza
2011-10-12 07:57 Shoozza Status new => acknowledged
2011-10-12 19:49 Shoozza Note Added: 0001223
2011-10-12 19:49 Shoozza Status acknowledged => resolved
2011-10-12 19:49 Shoozza Fixed in Version => 1.6.2
2011-10-12 19:49 Shoozza Resolution open => fixed
2014-01-22 12:46 homerofgods Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker